@echo off
rem common.bat
rem Copyright (c) 1996-2000 Sun Microsystems, Inc. All Rights Reserved.
rem
rem Permission to use, copy, modify, and distribute this software
rem and its documentation for NON-COMMERCIAL purposes and without
rem fee is hereby granted provided that this copyright notice
rem appears in all copies. Please refer to the file "copyright.html"
rem for further important copyright and licensing information.
rem
rem SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
rem THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
rem TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
rem PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
rem ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
rem DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.


rem This script will run on Win98 and WinNT

rem NOTE:  This script expects to reside in the jes-install-dir\bin directory
rem If you move it, then you have to set env. var. JES_INSTALL_DIR to
rem the jes-install-dir pathname.

rem 
rem On win98, to get rid of
rem    Out of Environment Space
rem errors, add this (the following assumes that file command.com is located
rem in c:) to file c:\config.sys:
rem    SHELL=c:\COMMAND.COM C:\ /e:1024 /p

set defaultJavaHome=

if "%OS%" == "Windows_NT" setlocal

set installPath=
set javaCmd=
set yourClasspath=
set doDryrun=
set baseUrl=
set ksPath=
set ksAccess=
set myClasspath=
set mainClass=
set jvmArgs=

rem NOTE: win98 fails if lessthan appears in a rem unless it is in quotes

goto start
:doUsage

  echo Usage: 
  echo  %0 plaintextPassword [ ... ]
  echo  .
  echo    Encode one or more passwords that will be used to access a keystore

  goto DONE

:start
if not exist "%0" if not exist "%0.bat" goto checkPath
    set installPath=%0\..\..
    goto startup

:checkPath
    rem Try to locate this script from PATH
    rem These loops are ugly so they will run in win98
    for %%f in (%PATH%) do if "%installPath%" == "" if exist "%%f\%0" set installPath=%%f\..
    for %%f in (%PATH%) do if "%installPath%" == "" if exist "%%f\%0.bat" set installPath=%%f\..
    if defined installPath goto startup
    echo Cannot locate this script anywhere: this shouldn't happen.
    goto end

:startup

rem if exist %installPath%\lib\framework.jar goto existok
if exist %installPath%\lib\framework.jar  goto existok
  if "%JES_INSTALL_DIR%" == "" goto inserror
  set installPath=%JES_INSTALL_DIR%
  goto existok

:inserror
  echo Error: This script is not in jes-install-dir\bin\
  echo You must set environment variable JES_INSTALL_DIR
  echo to the pathname of the JES installation."
  goto end


:existok


set yourClasspath=
if not "%CLASSPATH%" == ""  set yourClasspath=;%CLASSPATH%


if "%1" == "" goto doUsage

set JAVA_HOME=
if not "%JES_JAVA_HOME%" == ""  goto defok
   if "%defaultJavaHome%" == ""  goto jdkerror
      set JES_JAVA_HOME=%defaultJavaHome%
      goto defok

:jdkerror
     echo Error: Cannot find java.  Please define environment variable JES_JAVA_HOME
     echo        to be the pathname of a 1.2.2 Java installation.
     goto end


:defok

set javaCmd=%JES_JAVA_HOME%\bin\java.exe
set sysClasspath=
if exist %JES_JAVA_HOME%\bin\pjava.exe set javaCmd=%JES_JAVA_HOME%\bin\pjava.exe
if exist %JES_JAVA_HOME%\bin\pjava.exe set sysClasspath=%JES_JAVA_HOME%\lib\classes.zip;


rem --- End of common.bat ----


set myClasspath=%installPath%\bundles\ssl.jar
set mainClass=com.sun.jes.impl.ssl.Base94

set CLASSPATH=%sysClasspath%%myClasspath%%yourClasspath%
%javaCmd%  %jvmArgs% %mainClass% %1 %2 %3 %4 %5 %6  %7 %8 %9 
goto end


:enverror
echo You appear to have run out of win98 environment space.  To fix this:
echo - right click on this runjes.bat file in the Windows Explorer
echo - select 'Properties'
echo - click on the Memory tab
echo - locate the popup field entitled 'Initial Environment'
echo - change the value to 1024
echo - click OK
goto end

:end
set installPath=
set javaCmd=
set yourClasspath=
set doDryrun=
set baseUrl=
set myClasspath=
set mainClass=
set jvmArgs=
set jesArgs=
:done
if "%OS%" == "Windows_NT" endlocal
