@echo off
rem common.bat
rem Copyright (c) 1996-2000 Sun Microsystems, Inc. All Rights Reserved.
rem
rem Permission to use, copy, modify, and distribute this software
rem and its documentation for NON-COMMERCIAL purposes and without
rem fee is hereby granted provided that this copyright notice
rem appears in all copies. Please refer to the file "copyright.html"
rem for further important copyright and licensing information.
rem
rem SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
rem THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
rem TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
rem PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
rem ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
rem DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.


rem This script will run on Win98 and WinNT

rem NOTE:  This script expects to reside in the jes-install-dir\bin directory
rem If you move it, then you have to set env. var. JES_INSTALL_DIR to
rem the jes-install-dir pathname.

rem 
rem On win98, to get rid of
rem    Out of Environment Space
rem errors, add this (the following assumes that file command.com is located
rem in c:) to file c:\config.sys:
rem    SHELL=c:\COMMAND.COM C:\ /e:1024 /p

set defaultJavaHome=

if "%OS%" == "Windows_NT" setlocal

set installPath=
set javaCmd=
set yourClasspath=
set doDryrun=
set baseUrl=
set ksPath=
set ksAccess=
set myClasspath=
set mainClass=
set jvmArgs=
set jesArgs=

rem NOTE: win98 fails if lessthan appears in a rem unless it is in quotes
rem Set the default value for -cacheDir.
rem We have to find the pathname of the cacheDir in this
rem script so that we can add "<pathname>\libraries" to PATH.
rem This is the directory in which JES will install native code
rem if there is any.  The pathname of this directory has to
rem be on PATH when we start java so that the native code can
rem be found by java.

if "%HOME%" == "" goto cache1
    set cacheDir=%HOME%\jescache
    goto cacheDone
:cache1
    if "%OS%" == "Windows_NT" goto winnt
        rem win 98/95.  If it is multi-user, you have to set HOME
        rem since we don't know how to find the profile dir for the
        rem current user.
        set cacheDir=%windir%\jescache
        goto cacheDone
:winnt
    set cacheDir=%USERPROFILE%\jescache
    goto cacheDone

:cacheDone

rem JES_JAVA_HOME must be defined without quotes
rem JES_INSTALL_DIR can be defined with quotes; and MUST be defined
rem with quotes if it contains a blank.
rem The reason for the difference is that we will do
rem    %JES_JAVA_HOME%\bin\java
rem and if JES_JAVA_HOME is quoted, it doesn't work;
rem the .bat processor makes the cmd end at the terminal
rem quote and thus \bin\java becomes the first param.

if not exist %0 if not exist %0.bat goto checkPath
    set installPath=%0\..\..
    goto startup

:checkPath
    rem Try to locate this script from PATH
    rem These loops are ugly so they will run in win98
    for %%f in (%PATH%) do if %installPath%-L == -L if exist %%f\%0 set installPath=%%f\..
    for %%f in (%PATH%) do if %installPath%-L == -L if exist %%f\%0.bat set installPath=%%f\..
    if not %installPath%-L == -L goto startup
    echo Cannot locate this script anywhere: this shouldn't happen.
    goto end

:startup

rem if exist %installPath%\lib\framework.jar goto existok
if exist %installPath%\lib\framework.jar  goto existok
  if %JES_INSTALL_DIR%-L == -L goto inserror
  set installPath=%JES_INSTALL_DIR%
  goto existok

:inserror
  echo Error: This script is not in jes-install-dir\bin\
  echo You must set environment variable JES_INSTALL_DIR
  echo to the pathname of the JES installation."
  goto end


:existok


set yourClasspath=
if not "%CLASSPATH%-L" == -L  set yourClasspath=;%CLASSPATH%
set JAVA_HOME=

:LOOP
 shift
 if x%0 == x         goto ENDLOOP
 if not %0 == -dryrun if not %0 == -j if not %0 == -J if not %0 == help if not %0 == -help  if not %0 == -cacheDir set jesArgs=%jesArgs% %0%
 if  %0 == -dryrun  set doDryrun=1
 if  %0 == -j       goto jparam
 if  %0 == -J       goto jparam
 if  %0 == -cacheDir goto cacheDirParam
 if  %0 == help     goto doUsage
 if  %0 == -help    goto doUsage

 goto LOOP

rem -Dx=y is broken into two separate params.  So, after -j,
rem we don't know if next is -Dx=y or -ms10m.  So, we don't know
rem if we should pick off the next two params or just the next one.
rem So, the following attempt at finding the -Dcom.sun.jes.framework.bundles.baseurl
rem etc. fails.
rem :jparam
rem    shift
rem    if %0 == -Dcom.sun.jes.framework.bundles.baseurl set baseUrl=%0%1
rem    if %0 == -Dcom.sun.jes.impl.keystore.store set ksPath=%0%1
rem    if %0 == -Dcom.sun.jes.impl.keystore.access set ksAccess=%0%1
rem    if %0 == -Dcom.sun.jes.framework.cache.dir  set cacheDir=%1
rem 
rem    set jvmArgs=%jvmArgs% %0=%1%
rem   shift
rem
rem Instead, we require that a -D option be quoted.
rem And, if it is the com.sun.jes.framework.bundles.baseurl setting, then we
rem will end up passing both the default and the override to
rem java, which will take the hindmost :-)

:jparam
  set jvmArgs=%jvmArgs% %1
  shift
  goto LOOP

:cacheDirParam
  set cacheDir=%1
  shift
  shift
  goto LOOP

:doUsage
  set jesArgs=%jesArgs% help sh

  echo Usage: 
  echo  runjes.bat [-cacheDir pathname] [-dryrun] [-j jvm-option] ... [commands]
  echo  .
  echo  Start Java Embedded Server. Before running JES, you must set environment
  echo  variable JES_JAVA_HOME to the pathname of the Java installation (JDK 1.2.2,
  echo  or pjava 3.0.2) that is to be used.  Do not use quotes in the setting
  echo  of JES_JAVA_HOME, even if it contains blanks.
  echo  .
  echo  -cacheDir pathname
  echo            The pathname of the directory JES should use for its cache.
  echo            The default is %HOME%\jescache.    The value of variable HOME 
  echo            must not contain any quotes.
  echo            This pathname is passed to JES in property 
  echo                com.sun.jes.framework.cache.dir.
  echo  -dryrun:  Show what would be done without actually doing it.
  echo  -j jvm-option:
  echo            Pass the jvm-option to the Java VM, eg.  -j -Dmy.prop=gus
  echo  commands: This can be the pathname or URL of a file from which to read
  echo            JES commands, or a list of JES commands.  If a command 
  echo            contains a blank, it must be quoted when used on the
  echo            runjes command line, eg:   
  echo                runjes "install log" bundles "install servlet, http"
  echo            If 'commands' does not appear, then commands are read from 
  echo            stdin.
  echo  .
  echo  By default, JES is started with option 
  echo      -Dcom.sun.jes.framework.bundles.baseurl=%installPath%\bundles
  echo  .
  echo  This allows you to use short names for system bundles, eg: 
  echo      runjes "install log, servlet, http"
  echo  .
  echo  JES is also started with these additional arguments:
  echo      -Dcom.sun.jes.impl.keystore.store=\
  echo                file:pathname-of-JES-install/lib/tlscerts
  echo      -Dcom.sun.jes.impl.keystore.access=\\
  echo                "the encoded password needed to access the keystore"
  echo  The keystore is an example keystore that is used in the SSL examples.
  echo  You can override these properties to point to your own information.
  echo  Please see the JES Reference Manual for information on how to quote
  echo  special characters, and how to read the encoded password from a file.
  echo  .
  echo  To administer JES from a browser, install and start bundle jesmp
  echo  and browse to URL:
  echo      http://localhost:8080/admin
  echo  .
  echo  The following commands are allowed:

  goto LOOP

:ENDLOOP

if not "%JES_JAVA_HOME%" == ""  goto defok
   if "%defaultJavaHome%" == ""  goto jdkerror
      set JES_JAVA_HOME=%defaultJavaHome%
      goto defok

:jdkerror
     echo Error: Cannot find java.  Please define environment variable JES_JAVA_HOME
     echo        to be the pathname of a 1.2.2 Java installation.
     goto end


:defok

set javaCmd=%JES_JAVA_HOME%\bin\java.exe
set sysClasspath=
if exist "%JES_JAVA_HOME%\bin\pjava.exe" set javaCmd=%JES_JAVA_HOME%\bin\pjava.exe
if exist "%JES_JAVA_HOME%\bin\pjava.exe" set sysClasspath=%JES_JAVA_HOME%\lib\classes.zip


rem --- End of common.bat ----

set myClasspath=%installPath%\lib\framework.jar
set mainClass=com.sun.jes.impl.framework.Main

if not "%mainClass%" == "com.sun.jes.impl.framework.Main" goto enverror


if not "%doDryrun%" == ""  goto doDry

set PATH=%PATH%;%cacheDir%\libraries
rem We have to use -classpath instead of set CLASSPATH because the latter fails
rem when %installPath% includes quotes.
"%javaCmd%" -classpath "%sysClasspath%";%myClasspath%%yourClasspath% -Dcom.sun.jes.framework.cache.dir=%cacheDir% -Dcom.sun.jes.framework.bundles.baseurl=%installPath%\bundles -Dcom.sun.jes.impl.keystore.store=file:%installPath%\lib\tlscerts -Dcom.sun.jes.impl.keystore.access="v{tVW+$xJ1Y^$" %jvmArgs% %mainClass% %jesArgs%
goto end

:doDry
echo set PATH=%PATH%;%cacheDir%\libraries
echo set JAVA_HOME=
echo "%javaCmd%" -classpath "%sysClasspath%";%myClasspath%%yourClasspath% -Dcom.sun.jes.framework.cache.dir=%cacheDir% -Dcom.sun.jes.framework.bundles.baseurl=%installPath%\bundles -Dcom.sun.jes.impl.keystore.store=file:%installPath%\lib\tlscerts -Dcom.sun.jes.impl.keystore.access="v{tVW+$xJ1Y^$" %jvmArgs% %mainClass% %jesArgs%
goto end


:enverror
echo You appear to have run out of win98 environment space.  To fix this:
echo - right click on this runjes.bat file in the Windows Explorer
echo - select 'Properties'
echo - click on the Memory tab
echo - locate the popup field entitled 'Initial Environment'
echo - change the value to 1024
echo - click OK
goto end

:end
set installPath=
set javaCmd=
set yourClasspath=
set doDryrun=
set baseUrl=
set myClasspath=
set mainClass=
set jvmArgs=
set jesArgs=
:done
if "%OS%" == "Windows_NT" endlocal
