# Copyright (c) 1995-2000 Sun Microsystems, Inc. All Rights Reserved.
# This software is the confidential and proprietary information of Sun
# Microsystems, Inc. ("Confidential Information").  You shall not
# disclose such Confidential Information and shall use it only in
# accordance with the terms of the license agreement you entered into
# with Sun.
#    
# SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
# SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
# IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
# SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
# THIS SOFTWARE OR ITS DERIVATIVES.
############################################################################
# 
# GNU common makefile for JES examples
# This file uses the macros defined in GNUcommon1.make and should be
# included after it.


all:: $(CLASSFILES)
# By using the env var instead of -classpath, we don't have to
# name the jdk's classes.zip.
$(CLASSFILES): $(JAVA_FILES)
	$(BIN)mkdir -p $(CLASSFILESPATH) ; \
	CLASSPATH=$(LIBS)$(CPSEP).$(CPSEP)$(CLASSFILESPATH)$(EXTRA_CLASSPATHx) ; \
	export CLASSPATH; \
	$(JAVAC) -d $(CLASSFILESPATH) $?

clean::
	$(BIN)rm -rf $(CLASSFILESPATH)/$(SRCDIR)

ifneq "$(strip $(JAR_NAME))" "none"
all:: $(JARPATH)/$(JAR_NAME)

$(JARPATH)/$(JAR_NAME): $(CLASSFILES) $(PROP_FILES) Manifest
	$(BIN)mkdir -p $(JARPATH) ; \
	if [ ! -z "$(PROP_FILES)" ] ; then \
	    $(BIN)cp $(PROP_FILES) $(CLASSFILESPATH)/$(SRCDIR) ; \
	fi ; \
	$(BIN)cp Manifest $(CLASSFILESPATH) ; \
	$(BIN)chmod +w $(CLASSFILESPATH)/$(SRCDIR)/* $(CLASSFILESPATH)/Manifest ; \
	cd $(CLASSFILESPATH) ; \
	$(JAR) cmf Manifest ../bundles/$(JAR_NAME) $(SRCDIR) $(EXTRA_FILES)

clean::
	$(BIN)rm -f $(JARPATH)/$(JAR_NAME)
endif
