/**
 * @(#)ClockServiceImpl.java	1.3 00/06/22
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 */

package clock;

import org.osgi.framework.*;
import org.osgi.service.http.*;
import java.util.*;


public class ClockServiceImpl implements ClockService, BundleActivator {
    private HttpService httpService;

          // The simplest HttpContext
  private HttpContext httpContext = new HttpContext() {
    public boolean handleSecurity(javax.servlet.http.HttpServletRequest request,
				  javax.servlet.http.HttpServletResponse response)
    throws java.io.IOException
    {
      return true;
    }

    public java.net.URL getResource(String name) {
      try {
        return this.getClass().getResource(name);
      } catch (Exception e) {
	e.printStackTrace();
        return null;
      }
    }

    public String getMimeType(String name) {
	return null;
    }
  };

    public void start( BundleContext bc ) {
      System.out.println( "ClockService BUNDLE started..." );
      try {
        Hashtable dict = new Hashtable();
        dict.put( "Description", "The clock service" );
        ServiceRegistration aReg =
          bc.registerService( "clock.ClockService", this, dict );
        this.httpService = (HttpService)bc.getService(
                  bc.getServiceReference( "org.osgi.service.http.HttpService" ) );
        this.httpService.registerResources( "/images/clock", "/clock", this.httpContext );
        Hashtable initParams = new Hashtable();

        // These two settings are what cause our UI Servlet to be
        // registered with the homeportal service so that a link
        // to our servlet appears onthe homeportal page.
        initParams.put( "com.sun.jes.service.homeportal.displayName",
                              "Time Service." );
        initParams.put( "com.sun.jes.service.homeportal.displayImageURL",
                              "/images/clock/time_service.gif" );
        this.httpService.registerServlet( "/ClockServiceUIServlet",
                                  new ClockServiceUIServlet( bc ),
                                  initParams,
                                  this.httpContext );
      }
      catch ( Exception e ) {
        e.printStackTrace();
      }
    }

    public long getTime() {
      return System.currentTimeMillis();
    }

    public void stop( BundleContext c ) {
      System.out.println( "ClockService stopped...Bye!" );
      this.httpService.unregister( "/ClockServiceUIServlet" );
    }

}
