/*
 * @(#)ClockServiceUIServlet.java	1.2 00/06/22
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 */

package clock;

import org.osgi.framework.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class ClockServiceUIServlet extends HttpServlet
{
    private HttpServletRequest myRequest;
    private HttpServletResponse myResponse;
    private PrintWriter out;
    private BundleContext bc;

    public ClockServiceUIServlet( BundleContext bc ) {
      super();
      this.bc = bc;
    }

    public void doGet (
        HttpServletRequest      request,
        HttpServletResponse     response
    ) throws ServletException, IOException {
        String title = "Clock Service UI";
        response.setContentType("text/html");
        this.out = new java.io.PrintWriter( response.getWriter() );
        ServiceReference sr =
          this.bc.getServiceReference( "clock.ClockService" );
        if ( sr != null ) {
          ClockService clockService = (ClockService)this.bc.getService( sr );
          if ( clockService == null )
            log( "Error!!!!" );
          this.displayUIScreen( clockService.getTime() );
        }
        else {
          log( "ClockService Service Not Found!" );
        }
    }

   private void displayUIScreen( long time ) {
     String LCTString = Long.toString( time );
     String GMTString = Long.toString( time + 6666666 );
     this.out.print( "<html><head><title>Clock HTML</title>" );
     this.out.print( "<STYLE type=\"text/css\"> " );
     this.out.print( "INPUT.text{background:rgb(240,240,200);color:blue;font:12" );
     this.out.print( "\"arial\";border-top:solid thin rgb(32,96,96);");
     this.out.print( "border-left:solid thin rgb(32,96,96);" );
     this.out.print( "border-bottom:solid thin rgb(96,160,160);" );
     this.out.print( "border-right:solid thin rgb(96,160,160)}" );
     this.out.print( "</STYLE></head><body background=\"/images/homeportal/backrnd_tile.gif\" text=\"White\" " );
     this.out.print( " leftmargin=9>" );
     this.out.print( "<img src=\"/images/homeportal/dotcom_title.gif\" alt=\"Time Service\"><BR>");
     this.out.print("<H1>Time Service</H1><BR>");
     this.out.print( "<form method=\"POST\">" );
     this.out.print( "<table border=1 bgcolor=#408080 bordercolor=#408080" );
     this.out.print( "bordercolordark=#206060 bordercolorlight=#60A0A0>" );
     this.out.print( "<tr><td align=\"RIGHT\"><font size=\"2\" face=\"arial\">" );
     this.out.print( "Local Time</font></td>" );
     this.out.print( "<td><input class=\"text\"  type=\"TEXT\" name=\"LCT\" value="+LCTString+"\n" );
     this.out.print( "align=\"MIDDLE\" size=\"10\" readonly></td></tr>" );
     this.out.print( "<tr><td align=\"RIGHT\"><font size=\"2\" face=\"arial\">GMT</font></td>" );
     this.out.print( "<td><input class=\"text\"  type=\"TEXT\" name=\"GMT\" value="+GMTString+"\n");
     this.out.print( "align=\"MIDDLE\" size=\"10\" readonly></td></tr>" );
     this.out.print( "</table><p></FORM>" );
     this.out.print( "</body></html>" );
     this.out.close();
   }
}
