/*
 * Copyright (c) 1995-2000 Sun Microsystems, Inc. All Rights Reserved.
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *    
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
*/

package deviceaccess.sonyvcrdriver;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import java.util.Hashtable;

/**
 *  Bundle Activator for SonyVCRDriver service 
 */
public class SonyVCRDriverActivator implements BundleActivator {   

    private SonyVCRDriver sonyVCRdriver;

    private static final String DRIVER_ID = "DRIVER_ID";
    private final static String DEVICE_CATEGORY = "device_category";
    private final static String DEVICE_CLASS = "device_class";
    private final static String DEVICE_MAKE = "device_make";
    private final static String DEVICE_MODEL = "device_model";
    private final static String DEVICE_REVISION = "device_revision";
    private final static String DEVICE_SERIAL = "device_serial";

    public final static String DRIVER_CLASS = 
        "org.osgi.service.device.Driver";

    /**
     * start the SonyVCRdriver service
     * 
     * @param bc The Sony VCR driver's bundle context
     */
    public void start(BundleContext context)
        throws Exception 
    {
        Hashtable dictionary = new Hashtable();
        dictionary.put(DRIVER_ID, 
                       "sony.havi.vhs.vh5-hifi.5");  
 
        sonyVCRdriver = new SonyVCRDriver(context);        
        context.registerService(DRIVER_CLASS,
                                sonyVCRdriver,
                                dictionary);
                                
    }

    /**
     * clean up if any
     *
     * @param bc The Driver's bundle context
     */

    public void stop(BundleContext context) 
        throws Exception
    {

    }

}
