/*
 * Copyright (c) 1995-2000 Sun Microsystems, Inc. All Rights Reserved.
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *    
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
*/

package deviceaccess.usbdriver;

import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

import org.osgi.service.device.Device;
import org.osgi.service.device.Driver;

class USBDriver implements Driver {

    public USBDriver() {
    }

    /**
     * Match function called by DeviceManager during mathing process.
     * <p>
     * The service which bids highest gets connection 
     * <code>public void attach(ServiceDescription s)</code><br/>
     * called with the same service descriptor as match().</p>
     *
     * @param sr ServiceReference to be matched
     * @return integer not less than Device.MATCH_NONE
     */
    public int  match(ServiceReference sr)
        throws Exception
    {
        return Device.MATCH_NONE;
    }

    /**
     * DeviceManager has decided this was the best matching service
     * - creates a dependency between this bundle and the device
     *   service represented by sr.     
     * - the driver is expected to register a new device service, 
     *   corresponding to it's actual physical function.
     *
     * @param sr ServiceReference triggering the driver loading.
     * @return null if this driver succeded in attach, non-null if a 
     * valid id to driverlocator
     */
    public String attach (ServiceReference sr) 
        throws Exception
    {
        return null;
    }      
    
}
