/*
 * @(#)Activator.java	1.2 00/08/03
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun. 
 */

package httpsurl;

import org.osgi.framework.*;

/*
 * Bundle activator for Java Embedded Server service using an
 * HTTPS protocol URL.
 */

public class Activator implements BundleActivator
{
    HttpsUser user;

    /**
     * Create an HTTPS protocol user. This protocol user will try
     * to create an HTTPS URL to establish an SSL connection
     * to another HTTPS server.
     */
    public void start( BundleContext bc ) throws BundleException
    {
        user = new HttpsUser( bc );
        user.establishConnection();
    }

    public void stop( BundleContext bc )
    {
        if ( user != null ) {
            user.cleanUp();
            user = null;
        }
    }
}
