/*
 * Copyright (c) 2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * Create an SSL socket using the JSSE classes (provided by the SSL
 * service bundle) directly. Connect to a specified host (named in a
 * property, no default) and expect to see a Java Embedded Server SSL
 * server socket there.
 */

package jsseapiclient;

import org.osgi.framework.*;

public class Activator implements BundleActivator
{
    JsseApiClient c;

    public Activator()
    {
    }
  
    /**
     * Create a JSSE API client service and tell it to connect
     * to a remote SSL server.
     * @param bc This service's context.
     */
    public void start( BundleContext bc ) throws Exception 
    {
        this.c = new JsseApiClient();
        this.c.connect();
    }

    /**  
     * Stop this service.
     * @param bc This service's context.
     */
    public void stop( BundleContext bc ) throws Exception
    {
        this.c = null;
    }
}
