/*
 * Copyright (c) 2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * Create an SSL server socket using the JSSE classes (provided by the SSL
 * service bundle) directly. Wait for a connection and spawn listener
 * threads to handle each connection.
 */

package jsseapiserver;

import org.osgi.framework.*;

public class Activator implements BundleActivator
{
    JsseApiServer s;

    public Activator()
    {
    }

    /**
     * Activate this service.
     * @param context This service's context.
     */  
    public void start( BundleContext context ) throws Exception 
    {
        this.s = new JsseApiServer();
        this.s.waitForConnection();
    }
  
    /**
     * Stop this service and free up resources.
     * @param context This service's context.
     */
    public void stop( BundleContext context ) throws Exception
    {
        this.s.shutdown();
        this.s = null;
    }
}
