/* @(#)SnoopServlet.java	1.1 00/04/25
 * Copyright (c) 1995-2000 Sun Microsystems, Inc. All Rights Reserved.
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *    
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
*/

package snoopbasic;

import java.io.*;
import java.util.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import org.osgi.framework.*;
import org.osgi.service.http.*;

import com.sun.jes.service.http.auth.basic.*;


/**
 * Snoop servlet. This servlet simply echos back the request 
 * headers that were sent by the client. Look for HttpContext
 * API in org.osgi.service.http documentation.
 *
 */
public class SnoopServlet extends HttpServlet implements HttpContext {

    private final String USER = "admin";
    private final String PASS = "admin";

    SnoopActivator snoopActivator;

    BasicSchemeHandler basic;

    public SnoopServlet(SnoopActivator sa) {

	snoopActivator = sa;

    }

    public void doGet (HttpServletRequest req, HttpServletResponse res) 
			throws ServletException, IOException {

	PrintWriter	out;

	res.setContentType("text/html");
	out = res.getWriter ();

	out.println("<html>");
	out.println("<head><title>Snoop Servlet</title></head>");
	out.println("<body>");

	out.println("<h1>Request information:</h1>");
	out.println("<br>");
	out.println("<br>");

	print(out, "Request method", req.getMethod());
	print(out, "Request URI", req.getRequestURI());
	print(out, "Request protocol", req.getProtocol());
	print(out, "Servlet path", req.getServletPath());
	print(out, "Path info", req.getPathInfo());
	print(out, "Path translated", req.getPathTranslated());
	print(out, "Query string", req.getQueryString());
	print(out, "Content length", req.getContentLength());
	print(out, "Content type", req.getContentType());
	print(out, "Server name", req.getServerName());
	print(out, "Server port", req.getServerPort());
	print(out, "Remote user", req.getRemoteUser());
	print(out, "Remote address", req.getRemoteAddr());
	print(out, "Remote host", req.getRemoteHost());
	print(out, "Authorization scheme", req.getAuthType());

	out.println("<br>");
	out.println("<br>");

	
	out.println("</body></html>");

	out.flush();
    }

    private void print (PrintWriter out, String name, String value) {
	out.print(" " + name + ": ");
	out.println(value == null ? "&lt;none&gt;" : value);
	out.println("<br>");
    }

    private void print (PrintWriter out, String name, int value) {
	out.print(" " + name + ": ");
	if (value == -1) {
	    out.println("&lt;none&gt;");
	} else {
	    out.println(value);
	}
    }


    public URL getResource( String str ) {

	return null;

    }

    public String getMimeType(String str) {

	return null;

    }

    /* The 'http' service calls this method for each request to the
     * servlet. When the following method returns 'false', the
     * browser pops a dialog for the user to enter 'user id' and 
     * 'password'.
     */
    public boolean handleSecurity(HttpServletRequest req
					, HttpServletResponse res) {

	basic = snoopActivator.getBasicSchemeHandlerRef();
	if ( basic == null ) {
	    return false;
	}

	BasicSchemeHandler.Response response = basic.getResponse(req);
	if ( response == null ) {
	    challenge(req, res);
	    return false;
	}

	String user = response.getName();
	String password = response.getPassword();
	if ( ! check(user, password) ) {
	    challenge(req, res);
	    return false;
	}

	return true;
    }

    void challenge(HttpServletRequest req, HttpServletResponse res) {

	    try {
		basic.sendChallenge(res, "dummy");
	    }
	    catch( IOException ioe ) {
		ioe.printStackTrace();
	    }
    }

    boolean check(String user, String pass) {

	if ( USER.equals(user) && PASS.equals(pass) ) {
	    return true;
	}

	return false;
    }

}
