/*
 * @(#)Activator.java	1.1 00/07/13
 *
 * Copyright (c) 1995-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

package club;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.BundleException;
import org.osgi.framework.ServiceReference;
import org.osgi.framework.InvalidSyntaxException;
import greeting2.service.GreetingService;

public class Activator implements BundleActivator {

    public void start(BundleContext ctxt) throws BundleException {
	try {
	    // get the reference to the 'casual' greeting service
	    ServiceReference[] casualRefs =
		ctxt.getServiceReferences("greeting2.service.GreetingService",
					  "(description=casual)");
	    GreetingService greetingSvc = 
		(GreetingService) ctxt.getService(casualRefs[0]);
	    greetingSvc.greet("Bill", "Gates", "Chairman");
	} catch (InvalidSyntaxException e) {
	    throw new BundleException("Invalid LDAP filter", e);
	}
    }

    public void stop(BundleContext ctxt) throws BundleException {
    }
}
