/*
 * @(#)Activator.java	1.1 00/08/09
 *
 * Copyright (c) 1995-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

package greeting2.impl;

import java.util.Hashtable;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.BundleException;
import org.osgi.framework.ServiceRegistration;

/**
 * The activator.
 */
public class Activator implements BundleActivator {

    private ServiceRegistration reg;

    public void start(BundleContext ctxt) throws BundleException {
	// initialize service properties
	Hashtable props = new Hashtable();
	props.put("description", "casual");
	// register the casual greeting service
	reg = ctxt.registerService("greeting2.service.GreetingService",
				   new CasualGreetingImpl(), props);
    }

    public void stop(BundleContext ctxt) throws BundleException {
	// unregister the casual greeting service
	if (reg != null)
	    reg.unregister();
    }
}
