/*
 * @(#)Activator.java	1.2 00/08/15
 *
 * Copyright (c) 1995-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

package greeting4;

import org.osgi.framework.*;
import org.osgi.service.http.*;
import java.net.*;
import java.io.IOException;
import javax.servlet.*;
import javax.servlet.http.*;

public class Activator implements BundleActivator {

    private HttpService http;
    final static String SERVLET_ALIAS = "/greeting";
    final static String IMG_ALIAS = "/imgs";

    public void start(BundleContext context) throws BundleException {
	ServiceReference ref = 
	    context.getServiceReference("org.osgi.service.http.HttpService");
	http = (HttpService) context.getService(ref);

	HttpContext imgContext = new HttpContext() {
	    public String getMimeType(String name) {
		return null;
	    }

	    public boolean handleSecurity(HttpServletRequest req,
					  HttpServletResponse resp) {
		return true;
	    }

	    public URL getResource(String name) {
		URL u = this.getClass().getResource(name);
		System.out.println(this.getClass().getName());
		return u;
	    } 
	};
	try {
	    http.registerResources(IMG_ALIAS, "/greeting4", imgContext);
	    http.registerServlet(SERVLET_ALIAS, new GreetingServlet(), 
				 null, null);
	} catch (Exception e) {
	    throw new BundleException("Cannot register servlet/resources " +
				      "with the HttpService", e);
	}
    }

    public void stop(BundleContext context) throws BundleException {
	if (http != null) {
	    http.unregister(SERVLET_ALIAS);
	    http.unregister(IMG_ALIAS);
	}
    }
}
